<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:

/**
* Inserción de evaluación un caso
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL-pruebas
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2007 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: inscaso-evaluacion.php,v 1.10 2009/05/02 03:15:45 vtamara Exp $
 * @link      http://sivel.sf.net
*/

/**
 * Inserción de evaluación un caso
 */
require_once "ambiente.php";

/*** EVALUACIÓN ***/

$post = array();
$post['gr_confiabilidad'] = 'Alta';
$post['gr_esclarecimiento'] = 'Alto';
$post['gr_impunidad'] = 'Nula';
$post['gr_informacion'] = 'Parc';
$post['_qf_evaluacion_basicos'] = 'Datos básicos';
$post['_qf_default'] = 'evaluacion:siguiente';
pasaPestanaFicha($db, array(), $post, 1);
$dcaso = DB_DataObject::factory('caso');
$dcaso->get(1);
foreach (array('gr_confiabilidad', 'gr_esclarecimiento',
    'gr_impunidad', 'gr_informacion') as $g) {
    if ($dcaso->$g != $post[$g]) {
        echo "***No modificó en evaluacion $g (" . $dcaso->$g . " - "
                .$post[$g] . ")";
        exit(1);
    }
}

exit(0);
?>
